ChiliProject - Bug # 807: History elements overlays revisions in Issues

Status: Closed Priority: Normal

Author: Holger Just Category: User interface

Created: 2011-12-28 Assignee: Holger Just

Updated: 2012-01-17 Due date:

Remote issue URL:

Affected version: 3.0.0

Description: In the issues#show, the journal entries overlay the associated revisions which makes it impossible to click on
links there.

This is because of the @position:relative@ on some elements there which is used to position the gravatar.
Unfortunately, this pulls it out of the float order somehow.

A solution is to get rid of the @position:relative@ and position the gravatar using floats. | still need to dig a bit

more here.

Associated revisions

2008-03-09 12:47 pm - Jean-Philippe Lang
Textile formatting:

* escape html tags, except pre tags (#807, #795)
* try to avoid unwanted quick phrase modifiers

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1216 €93f8b46-1217-0410-a6f0-8f06a7374b81

2012-01-17 07:25 pm - Holger Just

[#807] Move gravatar into the journal div

2012-01-17 07:34 pm - Holger Just
[#774 #815 #807] Fix styles used for gravatars in issues

Gravatars now generally have a border and are displayed equally.
The Issue history formatting is cleaned up with much of the positioning

magic removed in favor or a simple float.

2012-01-17 11:43 pm - Holger Just

[#807] Re-add details class to maintain backwarts-compatible lasses

History

2011-12-29 05:58 pm - Eric Davis

- Category changed from Journals / History to User interface

What do you think about putting the revisions somewhere else instead of on a fake column? I'm thinking up with the Subtasks and Related Issues

sections, listing each revision along with more details about them.

2011-12-29 06:46 pm - Holger Just

What would actually be the coolest would be if the revisions were displayed interleaved with the other journal entries (sorted by time), maybe with a

slightly different formatting or an icon or something.

If then there was a simple way to filter the displayed journal entries by type (could be "normal" and "revisions" for now, but could be expanded to, say,

changed columns or users, or ...) it could be really useful to follow the track of the issue. Esp. if it's a longer one where several attempts to fix are

required. It would also make the workflow of updating issues via commit log much clearer.
2011-12-29 07:46 pm - Eric Davis

Holger Just wrote:

> What would actually be the coolest would be if the revisions were displayed interleaved with the other journal entries (sorted by time), maybe with a
slightly different formatting or an icon or something.

>

> If then there was a simple way to filter the displayed journal entries by type (could be "normal" and "revisions" for now, but could be expanded to, say,
changed columns or users, or ...) it could be really useful to follow the track of the issue. Esp. if it's a longer one where several attempts to fix are

required. It would also make the workflow of updating issues via commit log much clearer.

The only problem with that is you'd have to scan the entire history to look for revisions, which would make it easy to miss one. Perhaps...
* Have the list of revisions on top like the related issues

* Have each revision inline in the history like you mentioned

* On each revision on the top, anchor link to the revision in the history (e.g. click commit X -> jumps down to journal 42)

Might be overkill for this issue though (design bug).

2012-01-17 06:44 pm - Holger Just

- Target version set to 3.0.0

- Assignee set to Holger Just

- Status changed from Open to Closed

| have fixed the journal markup and stylesheets so that the existing layout still works.

The idea of changing how to display the revisions is out-of-scope for this issue. So | extracted it into #837.

2020-10-25 22



